Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - Le matériel et les pilotes ALSA, FFADO, ...

Dernier post

[RÉSOLU]Focurite Scarlett 18i8

Richard31 utilisateur non connecté
Salut à tous,

Je suis nouveau par ici et je débute sous linux également...
J'ai une carte son Focusrite Scarlett 18i8 qui marche bien avec le noyau 3.19.1 comme suggéré par fulup-bzh. Je ne suis pas parvenu à installer le mixer de fulup-bzh mais la carte fonctionne et pour ce dont j'ai besoin, je dirai que j'arrive à me débrouiller avec alsamixer...

Bon, cela étant dit je ne suis pas satisfait.
J'aimerais savoir s'il est possible d'updater le noyau de base Jessie 3.16.0.4 avec le pilote qui va bien pour que le mixer reconnaisse la carte?
Et surtout comme fait-on l'opération....biggrin?

Ensuite je vais revoir l'installation du mixer de fulup-bzh...

Merci à tous pour votre aide!!!!

Bye
Richard

olinuxx utilisateur non connecté France
Salut, t'as un lien vers ce fameux "installation du mixer de fulup-bzh" ?
(histoire qu'on puisse savoir de quoi tu parles et éventuellement t'aider)

Richard31 utilisateur non connecté
Ah oui,après relecture je n'ai pas été très précis...
Voici ce dont je parle..

Focusrite Scarlett 18i8

Merci pour l'aide!!!!

olinuxx utilisateur non connecté France
Tu es sous debian Jessie ? Si oui, tu peux ajouter les dépôts de LibraZiK ce qui te permettra d'installer un noyau 4.6 .

Richard31 utilisateur non connecté
Salut Olinux,

Oui je suis sous Debian Jessie!
Je vais regarder de plus près les dépôts LibraZik!

Mais en fait ma question était en fait de savoir si je pouvais recompiler le noyau Linux 3.16.0.4 avec le pilote qui est intégré à partir de la version 3.19 et qui permet d'utiliser Alsamixer avec ma carte?

Merci à toi,

Richard

olinuxx utilisateur non connecté France
Richard31 écrit :
Mais en fait ma question était en fait de savoir si je pouvais recompiler le noyau Linux 3.16.0.4 avec le pilote qui est intégré à partir de la version 3.19 et qui permet d'utiliser Alsamixer avec ma carte?


Oui, c'est possible de recompiler un noyau plus récent. Ceci dit, ça n'est ni une opération simple, ni maintenable sur le long terme. D'autre part, tu peux également utiliser un noyau du dépôt jessie-backport qui sera bien plus à jour (version 4.7 actuellement), plus facile à maintenir, et moins prise de tête.

Richard31 utilisateur non connecté
Salut Olinux et merci pour ton aide!

Je suis un peu formaté Windows bien entendu et donc, j'ai du mal à vouloir changer de noyau juste pour installer un pilote...
C'est un cap à passer, je crois!

Je trouvais intéressant de comprendre l'installation de ce dont j'ai (juste) besoin, mais c'est pas simple.
Je crois comprendre que c'est le module snd_usb_audio qu'il faudrait que je mette à jour, mais je ne sais pas faire.

En plus si tu me dis que cette solution n'est pas maintenable à long terme, bon je vais réfléchir
Merci encore à toi,

Richard

olinuxx utilisateur non connecté France
Richard31 écrit :
j'ai du mal à vouloir changer de noyau juste pour installer un pilote...


Les pilotes des matériels audio sont fournis (et développés) directement dans le noyau. C'est pourquoi.


Correction de ce que je disais dans mon message précédent car j'avais mal lu ta question :

Richard31 écrit :
... ma question était en fait de savoir si je pouvais recompiler le noyau Linux 3.16.0.4 avec le pilote qui est intégré à partir de la version 3.19 et qui permet d'utiliser Alsamixer avec ma carte?


Ça n'est pas conseillé et je ne suis vraiment pas certain que ça puisse fonctionner.


Richard31 écrit :
Je crois comprendre que c'est le module snd_usb_audio qu'il faudrait que je mette à jour, mais je ne sais pas faire.


Il te faut mettre à jour le noyau car, comme dit plus haut, les modules/pilotes sont fournis avec le noyau.



Note que si tu utilises Debian Jessie, tu as également la possibilité d'installer le noyau provenant de jessie-backport, et qui est un noyau 4.7 actuellement. En relisant ce fil de discussion, c'est mon conseil. Si tu lis et comprends l'anglais, tout est là : https://backports.debian.org/ . Sinon, dis le ici et nous t'aiderons.

Richard31 utilisateur non connecté
Toujours merci Olinux!!!

J'ai suivi ton conseil et installé un noyau récent, donc ça marche!
Enfin, j'ai pas installé le mixeur Focusrite Scarlett 18i8 de Fulup-bzh.
Je ne suis pas sur d'en avoir besoin.
Déjà la Focusrite 18i8 est disproportionnée pour ce dont j'ai besoin, et en gros si je peux simplement utiliser 4 entrées analogiques et basculer ce que je veux sur les casques 1 et 2 (en direct avec alsamixer pour éviter les discussions de latence), tout va bien!

Ensuite j'utilise Ardour 5.4 pour enregistrer et éventuellement envoyer une rythmique toujours dans les casques..

Voilà c'est assez simple comme config.

Merci encore pour ton aide quoi qu'il en soit!

Richard

olinuxx utilisateur non connecté France
Chouette si ça marche.

Si tu n'as pas besoin du mixeur, alors tu es tout bon pour mettre un [résolu] dans le titre de ton premier message en l'éditant.

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

olinuxx, 11:11, ven. 20 Oct 2017: bonjour et bienvenue à Burnus_1er et Upal :-)
sub26nico, 21:08, jeu. 19 Oct 2017: salut et bienvenue à rosjjim :-)
olinuxx, 15:28, mer. 18 Oct 2017: bonjour et bienvenue à Gopherlechien :-)
olinuxx, 08:46, mer. 18 Oct 2017: @Respire : contacte moi à l'adresse info HATTE linuxmao POINGT org
sub26nico, 23:46, mar. 17 Oct 2017: Salut et bienvenue à Fonky62 :-)
Pascal, 21:03, mar. 17 Oct 2017: Je crois qu'on peut y aller àdonf maintenant ;)
Pascal, 21:02, mar. 17 Oct 2017: avec un coreI5 on peut faire ca sans soucis :-) crash test ben pas de crash ! renoise + ardour + reaper + bitwig + fusion + lightworks + resolve. j'ai pas réussi a planter le PC !!!!
Pascal, 21:02, mar. 17 Oct 2017: Merci sans doute à Apple qui tourne en rond...
Pascal, 21:01, mar. 17 Oct 2017: Pendant des années Linux en MAO vidéo c'était un peu la galère... et puis...
olinuxx, 18:36, mar. 17 Oct 2017: bonjour et bienvenue à Respire :-)
bluedid29, 14:28, mar. 17 Oct 2017: Perso je suis passé (au moins en MAO) sur l'excellente distribution Debian Librazik réalisé par le talentueux olinuxx ! :-)
bluedid29, 23:06, lun. 16 Oct 2017: Voilà, je ne fais que relayer l'info... ;) Inscription ici : /